# Class NullReader

java.lang.Object
java.io.Reader
org.snpeff.fileIterator.NullReader

All Implemented Interfaces:
  `Closeable, AutoCloseable, Readable`

public class NullReader extends Reader
A buffered reader for a file. It allows to 'seek' and 'readLine()'

Author:
  pablocingolani

## Field Summary

### Fields inherited from class Reader

`lock`

## Constructor Summary

Constructors
Constructor
Description
`NullReader()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`int`
`read(char[] arg0, int arg1, int arg2)`

### Methods inherited from class Reader

`mark, markSupported, nullReader, of, read, read, read, readAllAsString, readAllLines, ready, reset, skip, transferTo`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullReader

public NullReader()

## Method Details

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in class `Reader`
Throws:
  `IOException`

### read

public int read(char[] arg0, int arg1, int arg2) throws IOException

Specified by:
  `read` in class `Reader`
Throws:
  `IOException`